Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006422OCamltypingpublic2014-05-14 15:572018-11-09 14:03
Reporterfrisch 
Assigned Totrefis 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.08.0+dev 
Summary0006422: Support "exception" under or-patterns
DescriptionThe idea is to be able to share branches between value and exception branches in "pattern match with exceptions". This has been discussed along with the new feature, and this ticket is here for future reference.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006318closedfrisch Extend try with "success" handling 
has duplicate 0006432closedlpw25 Restrictions on exception match cases are too restrictive 
related to 0006423acknowledged lazy exception patterns 

-  Notes
(0011457)
frisch (developer)
2014-05-14 15:59

LexiFi developers happily start using the new feature. The feedback is excellent, and the "need" for support under or pattern has popped up very quickly.
(0014407)
mottl (reporter)
2015-08-27 02:54

I've just run into this issue, too, when more flexible pattern matching with exceptions would have made my code so much nicer.
(0014807)
trefis (manager)
2015-11-23 15:54

A proposal for this is available at https://github.com/ocaml/ocaml/pull/305 [^] .
Review welcomed.
(0018834)
trefis (manager)
2018-01-15 17:50

An updated proposal is at : https://github.com/ocaml/ocaml/pull/1568 [^]

- Issue History
Date Modified Username Field Change
2014-05-14 15:57 frisch New Issue
2014-05-14 15:58 frisch Relationship added related to 0006318
2014-05-14 15:59 frisch Note Added: 0011457
2014-05-14 16:27 yallop Relationship added related to 0006423
2014-05-19 09:25 yallop Relationship added has duplicate 0006432
2014-06-02 20:29 doligez Assigned To => doligez
2014-06-02 20:29 doligez Status new => acknowledged
2015-08-27 02:54 mottl Note Added: 0014407
2015-11-23 15:54 trefis Note Added: 0014807
2017-02-23 16:45 doligez Category OCaml typing => typing
2018-01-15 17:50 trefis Note Added: 0018834
2018-11-09 14:03 frisch Status acknowledged => resolved
2018-11-09 14:03 frisch Fixed in Version => 4.08.0+dev
2018-11-09 14:03 frisch Resolution open => fixed
2018-11-09 14:03 frisch Assigned To doligez => trefis


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker